Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028914
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 05. Production managementmajoralways2015-02-11 12:392015-02-23 05:11
ReporterVictorVillarView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchpiFixed in SCM revision6894fce5cf7e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date
Regression introduced in release3.0PR14Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/6ec5a7961a6015619024062222846fc67fcbf45f [^]
Triggers an Emergency PackYes
Summary

0028914: Should be an option to use the UOM Standard precision for production or not

DescriptionShould be an option to use the UOM Standard precision for production or not
Steps To ReproduceAfter this fix: https://issues.openbravo.com/view.php?id=26480 [^]

for example for produce 1 Stick Choco requires 0.00024 doz Butter Anchor Salted(based on the process plan/work requirement), but in a production run, to produce 2,560 Stick Chocos require 1 doz, it should be
2,560*0.00024=0.6144
Reason: the Standard qty is 0.

Proposed SolutionShould be an option to the customers to use the new option or not.

Also should be a script to fix the data: stock and cost values.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00264803.0PR14Q3 closedAtulOpenbravo Quantity should be rounded when creating a work effort from a work requirement operation set as create standards 
related to design defect 0022988 newTriage Finance Qty proposed is not taking into account the Standard Precision of its Unit of Measure 

-  Notes
(0074550)
AtulOpenbravo (developer)
2015-02-17 12:54

Test Plan
- In an instance with production module activated login as F&B International Group Admin Role.
- Create Products Product A and Product B with production flag = Yes.
- Define Storage Bin in the Manufacturing plan for those products.
- Define a Manufacturing Cost Center and create a valid date version for it.
- Define Activity and assign Cost Center to it.
- Using above products and Activity, define a process plan with Product A as Production Use (P-) with Qty = 0.00024. (If required update qty in the database) and Product B as Production Produced (P+) with Qty 1, Mark create standards flag as Yes in the operation.
- Register a Work Requirement for Qty = 2560 and above Process Plan. Process the work requirement.
- Register Sufficient stock for Product A in the system as it is being used in production.
- Create Work effort based on above Work Requirement and Validate Work Effort.
- Check out that product A is reduced with Qty 0.61440 from the stock.
(0074568)
hgbot (developer)
2015-02-17 18:14

Repository: erp/devel/pi
Changeset: 6894fce5cf7e16b8fafea18b2b9ea177c060371f
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Feb 16 14:35:52 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/6894fce5cf7e16b8fafea18b2b9ea177c060371f [^]

Fixes Issue 28914:Should be an option to use the UOM Standard precision for
production or not.

Flag is provided in Unit of Measurement window to decided whether ROUNDING is
to be done using StdPrecision or not, Default value is N. Based on the flag
Rounding is done in MA_PRODUCTIONRUN_STANDARD process.

---
M src-db/database/model/functions/MA_PRODUCTIONRUN_STANDARD.xml
M src-db/database/model/tables/C_UOM.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0074569)
Sandrahuguet (developer)
2015-02-17 18:15

Code review + testing OK
(0074776)
hudsonbot (developer)
2015-02-23 05:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6856352d7235 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-02-11 12:39 VictorVillar New Issue
2015-02-11 12:39 VictorVillar Assigned To => Sandrahuguet
2015-02-11 12:39 VictorVillar Modules => Core
2015-02-11 12:39 VictorVillar Regression level => Production - QA Approved
2015-02-11 12:39 VictorVillar Regression introduced in release => 3.0PR14Q3
2015-02-11 12:39 VictorVillar Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/6ec5a7961a6015619024062222846fc67fcbf45f [^]
2015-02-11 12:39 VictorVillar Triggers an Emergency Pack => No
2015-02-11 12:39 VictorVillar Triggers an Emergency Pack No => Yes
2015-02-11 12:40 VictorVillar Relationship added related to 0026480
2015-02-11 12:40 VictorVillar Relationship added related to 0022988
2015-02-11 12:42 VictorVillar Proposed Solution updated
2015-02-11 12:43 VictorVillar Issue Monitored: networkb
2015-02-11 15:29 Sandrahuguet Assigned To Sandrahuguet => AtulOpenbravo
2015-02-12 03:16 AtulOpenbravo Status new => scheduled
2015-02-12 03:16 AtulOpenbravo fix_in_branch => pi
2015-02-17 12:54 AtulOpenbravo Note Added: 0074550
2015-02-17 18:14 hgbot Checkin
2015-02-17 18:14 hgbot Note Added: 0074568
2015-02-17 18:14 hgbot Status scheduled => resolved
2015-02-17 18:14 hgbot Resolution open => fixed
2015-02-17 18:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6894fce5cf7e16b8fafea18b2b9ea177c060371f [^]
2015-02-17 18:15 Sandrahuguet Review Assigned To => Sandrahuguet
2015-02-17 18:15 Sandrahuguet Note Added: 0074569
2015-02-17 18:15 Sandrahuguet Status resolved => closed
2015-02-17 18:15 Sandrahuguet Fixed in Version => 3.0PR15Q2
2015-02-23 05:11 hudsonbot Checkin
2015-02-23 05:11 hudsonbot Note Added: 0074776


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker